Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 980393 - virt-manager consumes a lot of CPU in idle
Summary: virt-manager consumes a lot of CPU in idle
Keywords:
Status: CLOSED DUPLICATE of bug 836703
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-02 09:10 UTC by Vratislav Podzimek
Modified: 2013-08-31 17:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-31 17:18:34 UTC


Attachments (Terms of Use)
strace output (deleted)
2013-07-02 09:10 UTC, Vratislav Podzimek
no flags Details

Description Vratislav Podzimek 2013-07-02 09:10:33 UTC
Created attachment 767667 [details]
strace output

Description of problem:
When running 'top' I can always see a python process (virt_manager.py) in one of the first places eating ~30 % of CPU time even if it just runs and I'm not doing anything with it.

Version-Release number of selected component (if applicable):
virt-manager-0.9.5-1.fc17.noarch

How reproducible:
100%

Steps to Reproduce:
1. run virt-manager
2. (wait) let it initialize and connect to host(s)
3. run top and see it takes a lot of CPU

Actual results:
30 % of CPU time eaten by the python process running virt_manager.py

Expected results:
0-5 % of CPU time eaten by it

Additional info:
Attached is the output of the strace attached to the hungry process. It shows that among the other things the virt-manager periodically reads the PNG files with the icons. Other things seem to be okay.

Comment 1 Fedora End Of Life 2013-07-03 21:29:08 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Vratislav Podzimek 2013-07-04 09:41:59 UTC
virt-manager is consuming a lot of CPU on F19 as well. It just doesn't read the icon files again and again.

Comment 3 Cole Robinson 2013-08-31 17:18:34 UTC
Upstream has already dropped a lot of the polling we do, but the main missing piece is supporting libvirt's async event APIs so we can drop almost all polling.

*** This bug has been marked as a duplicate of bug 836703 ***


Note You need to log in before you can comment on or make changes to this bug.